#include<bits/stdc++.h>
using namespace std;
int a[100001],b[100001];
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("CAU2.INP","r",stdin);
    freopen("CAU2.OUT","w",stdout);
    int n,m,dem=0;
    cin>>n>>m;
    for(int i=1;i<=n;i++)
        cin>>a[i];
    for(int i=1;i<=m;i++)
        cin>>b[i];
    sort(a+1,a+n+1,greater<>());
    sort(b+1,b+n+1);
    for(int i=1;i<=min(m,n);i++)
    {
        if(a[i]>b[i])
        {
            dem++;
        }
    }
    cout<<dem;
}
